# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::AddresseeDialog Class Reference

Dialog for selecting address book entries. More...

`#include <addresseedialog.h>`

Inheritance diagram for KABC::AddresseeDialog:

[legend]
Collaboration diagram for KABC::AddresseeDialog:

[legend]
List of all members.

## Public Member Functions

| AddresseeDialog (QWidget *parent=0, bool multiple=false)
virtual | ~AddresseeDialog ()
Addressee | addressee ()
Addressee::List | addressees ()

## Static Public Member Functions

static Addressee | getAddressee (QWidget *parent)
static Addressee::List | getAddressees (QWidget *parent)

## Protected Slots

void | addressBookChanged ()

## Detailed Description

Dialog for selecting address book entries.

This class provides a dialog for selecting entries from the standard KDE address book. Use the getAddressee() function to open a modal dialog, returning an address book entry.

In the dialog you can select an entry from the list with the mouse or type in the first letters of the name or email address you are searching for. The entry matching best is automatically selected. Use double click, pressing return or pressing the ok button to return the selected addressee to the application.

Definition at line 83 of file addresseedialog.h.

## Constructor & Destructor Documentation

AddresseeDialog::AddresseeDialog | ( | QWidget * | parent = `0`,
|  | bool | multiple = `false`
| ) |

Construct addressbook entry select dialog.

Parameters:

  | parent | parent widget

Definition at line 59 of file addresseedialog.cpp.

References KListView::addColumn(), QBoxLayout::addLayout(), QBoxLayout::addWidget(), KCompletionBase::completionObject(), KDialogBase::plainPage(), KABC::StdAddressBook::self(), QListView::setAllColumnsShowFocus(), KLineEdit::setCompletionMode(), KListView::setFullWidth(), KCompletion::setIgnoreCase(), KDialogBase::setInitialSize(), QBoxLayout::setSpacing(), KDialogBase::slotOk(), and KDialog::spacingHint().

Referenced by getAddressee(), and getAddressees().

AddresseeDialog::~AddresseeDialog | ( |  | ) | `[virtual]`

| Destructor. Definition at line 125 of file addresseedialog.cpp.

## Member Function Documentation

Addressee AddresseeDialog::addressee | ( |  | ) |

| Return the address chosen. If it is a multiple select, this will return only the first address chosen Definition at line 194 of file addresseedialog.cpp. References KABC::AddresseeItem::addressee(), QListView::firstChild(), and QListView::selectedItem(). Referenced by getAddressee().

Addressee::List AddresseeDialog::addressees | ( |  | ) |

| Return the list of addresses chosen. Definition at line 207 of file addresseedialog.cpp. References KABC::AddresseeItem::addressee(), QValueList::append(), QListView::firstChild(), QListViewItem::nextSibling(), and QListView::selectedItem(). Referenced by getAddressees().

Addressee AddresseeDialog::getAddressee | ( | QWidget * | parent | ) | `[static]`

| Select a single address book entry. Open addressee select dialog and return the entry selected by the user. If the user doesn't select an entry or presses cancel, the returned addressee is empty. Definition at line 229 of file addresseedialog.cpp. References addressee(), AddresseeDialog(), and QDialog::exec().

Addressee::List AddresseeDialog::getAddressees | ( | QWidget * | parent | ) | `[static]`

| Select multiple address book entries. Open addressee select dialog and return the entries selected by the user. If the user doesn't select an entry or presses cancel, the returned addressee list is empty. Definition at line 243 of file addresseedialog.cpp. References AddresseeDialog(), addressees(), and QDialog::exec().

The documentation for this class was generated from the following files:

- addresseedialog.h
- addresseedialog.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:36 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003